FruxonDocs
ApiWorkflowrevision

Deploys a Workflow revision.

Makes the given revision the active version — all subsequent executions use its configuration. Connectors that don't require manual webhook setup are activated automatically.

POST
/v1/tenants/{tenant}/workflows/{workflow}/revisions/{revision}:deploy
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

workflow*string

The unique identifier of the Workflow.

revision*string

The revision identifier to deploy.

tenant*string

The tenant identifier

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/workflows/string/revisions/string:deploy"
{
  "status": "SUCCESS",
  "workflow": {
    "id": "string",
    "displayName": "string",
    "description": "string",
    "avatarFileId": "string",
    "tags": [
      "string"
    ],
    "enabled": false,
    "currentRevision": 0,
    "createdAt": 0,
    "modifiedAt": 0,
    "deletedAt": 0,
    "summary": {
      "executableStepCount": 0,
      "referencedAgentCount": 0,
      "connections": {
        "collection": 0,
        "schedule": 0,
        "event": 0,
        "webhook": 0,
        "total": 0
      },
      "latestRun": {
        "startedAt": 0,
        "endedAt": null,
        "status": "UNSPECIFIED"
      },
      "hasRecentFailure": false
    }
  },
  "connectorActivations": [
    {
      "connectorId": "00000000-0000-0000-0000-000000000000",
      "name": "string",
      "provider": "string",
      "status": "ACTIVATED",
      "error": "string"
    }
  ]
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}